function [signalsFsst, SNR] = computeFSST(xd,Fs)

signalsFsst = cell(1,1);
    
[ss,ff] = fsst(xd(:,1),Fs,kaiser(128));
sp = ss(ff>0.5 & ff<40,:);
noise = ss(ff>50,:);
spOrig = ifsst(sp,kaiser(38));
noiseOrig = ifsst(noise, kaiser(76));
SNR = 10*log10((rms(spOrig)^2)/(rms(noiseOrig)^2));
signalsFsst{1} = normalize([real(sp);imag(sp)],2);
end